diff autogen.sh @ 26:6dcfbd28e807

- added build target; maintainer-clean - removed even more generated file - now autogen.sh invokes libtoolize
author Yoshiki Yazawa <yaz@honeyplanet.jp>
date Sat, 06 Mar 2010 07:58:49 +0900
parents becc60787557
children
line wrap: on
line diff
--- a/autogen.sh	Sat Mar 06 04:37:31 2010 +0900
+++ b/autogen.sh	Sat Mar 06 07:58:49 2010 +0900
@@ -10,6 +10,15 @@
 
 DIE=0
 
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "You must have libtool installed to compile ${TARGET}."
+  echo "Get ftp://ftp.gnu.org/pub/gnu/libtool/libtool-2.2.6.tar.gz"
+  echo "(or a newer version if it is available)"
+  DIE=1
+  NO_LIBTOOL=yes
+}
+
 (autoconf --version) < /dev/null > /dev/null 2>&1 || {
   echo
   echo "You must have autoconf installed to compile ${TARGET}."
@@ -54,6 +63,8 @@
 
 echo "Generating configure script and Makefiles for ${TARGET}."
 
+echo "Running libtoolize ..."
+libtoolize -c -q
 echo "Running aclocal ..."
 aclocal -I .
 echo "Running autoconf ..."